import React from "react";
import { MatrixClient } from "matrix-js-sdk/src/matrix";
declare enum Phase {
    Edit = "edit",
    Exporting = "exporting"
}
interface IProps {
    matrixClient: MatrixClient;
    onFinished(doExport?: boolean): void;
}
interface IState {
    phase: Phase;
    errStr: string | null;
    passphrase1: string;
    passphrase2: string;
}
export default class ExportE2eKeysDialog extends React.Component<IProps, IState> {
    private fieldPassword;
    private fieldPasswordConfirm;
    private unmounted;
    constructor(props: IProps);
    componentWillUnmount(): void;
    private verifyFieldsBeforeSubmit;
    private onPassphraseFormSubmit;
    private startExport;
    private onCancelClick;
    private onPassphraseChange;
    render(): React.ReactNode;
}
export {};
